ZyanVector_(3)

NAME
ZyanVector_

SYNOPSIS

#include <Vector.h>

  Public Attributes

ZyanAllocator * allocator
ZyanU8 growth_factor
ZyanU8 shrink_threshold
ZyanUSize size
ZyanUSize capacity
ZyanUSize element_size
ZyanMemberProcedure destructor
void * data

Detailed Description

Defines the ZyanVector struct.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

Member Data Documentation

  ZyanAllocator* ZyanVector_::allocator
The memory allocator.

  ZyanUSize ZyanVector_::capacity
The maximum capacity (number of elements).

  void* ZyanVector_::data
The data pointer.

  ZyanMemberProcedure ZyanVector_::destructor
The element destructor callback.

  ZyanUSize ZyanVector_::element_size
The size of a single element in bytes.

  ZyanU8 ZyanVector_::growth_factor
The growth factor.

  ZyanU8 ZyanVector_::shrink_threshold
The shrink threshold.

  ZyanUSize ZyanVector_::size
The current number of elements in the vector.

Author

Generated automatically by Doxygen for Zycore from the source code.